Package org.apache.sling.rewriter

## Interface ProcessorManager

    public interface ProcessorManager

This service manages the processor configurations.

### Method Summary

All Methods Instance Methods Abstract Methods
`Processor` `getProcessor​(ProcessorConfiguration configuration, ProcessingContext context)` Return a pipeline for a pipeline configuration.
`List<ProcessorConfiguration>` `getProcessorConfigurations()` Return the list of currently available processor configurations.

### Method Detail

#### getProcessorConfigurations

    List<ProcessorConfiguration> getProcessorConfigurations()

Return the list of currently available processor configurations.

Returns:
  The list of processor configurations in the order to check.

#### getProcessor

    Processor getProcessor​(ProcessorConfiguration configuration,
                           ProcessingContext context)

Return a pipeline for a pipeline configuration. param configuration the configuration for the processor

Parameters:
  `context` - the processing context
  `configuration` - the configuration for the processor
Returns:
  the processor
Throws:
  `org.apache.sling.api.SlingException` - If an error occurs during setup